cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 
Developer forum

Additional JSON Commands Add-On AC26 3010 GER

Ady84a
Booster

Hallo everyone,

I tried to load the Additional JSON Commands Add-On but it doesn't work. Says that the Add-On is outdated. 

did anyone try working with the Add-On with the latest AC26 version?

best regards

SH_01.JPGSH_02.JPG

1 ACCEPTED SOLUTION

Solution
poco2013
Advisor

If anyone is interested:

 

Tibor has also posted the source code for his AddOn on his GitHub site. To use it in 26, you will have to re compile with the 26.3000 C++ API. I have included Tibor's code in my Python extension "data_access" -- available on my web site. 

 

data_access Python Extension 

 

The commands in Tibor's Python scripts have not changed, so they should work equally well with the 26 compile.

Gerry



Windows 10 - Visual Studio 2019; ArchiCAD 26

View solution in original post

5 REPLIES 5

Barry Kelly
Moderator

Add-ons will only run in the version they were compiled for.

Was this JSON add-on compiled for version 25?

Or are you trying to use the 25 add-on?

 

Barry.


One of the forum moderators.
Versions 6.5 to 25
Dell XPS- i7-6700 @ 3.4Ghz, 16GB ram, GeForce GTX 960 (2GB), Windows 10
Dell Precision 3510 - i7 6820HQ @ 2.70GHz, 16GB RAM, AMD FirePro W5130M, Windows 10

Solution
poco2013
Advisor

If anyone is interested:

 

Tibor has also posted the source code for his AddOn on his GitHub site. To use it in 26, you will have to re compile with the 26.3000 C++ API. I have included Tibor's code in my Python extension "data_access" -- available on my web site. 

 

data_access Python Extension 

 

The commands in Tibor's Python scripts have not changed, so they should work equally well with the 26 compile.

Gerry



Windows 10 - Visual Studio 2019; ArchiCAD 26

@poco2013 

it worked! Thank you 🙂

julienK
Enthusiast

I have the same problem with one of my addons.

in vs2022  i  recreated the solution. the cmakeList clearly specifies AC26. made sure I'm using v142 toolset

Cleaned the solution ,  rebuild it,  no errors, but ac26 still won't accept it as a valid  addon, with the same error message as OP.

 

Any help would be appreciated.

Still looking?

Browse more topics

Back to forum

See latest solutions

Accepted solutions

Start a new discussion!